### Signal

# Vte Terminal::resize-window

#### Declaration

    void
    resize_window (
      VteTerminal* self,
      guint width,
      guint height,
      gpointer user_data
    )

#### Description [src]

Emitted at the child application’s request.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`width`

  Type: `guint`

  The desired number of columns.

`height`

  Type: `guint`

  The desired number of rows.